Name:           perl-Config-Model
Version:        2.071
Release:        2%{?dist}
Summary:        Framework to create configuration validation tools and editors
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::Model::Tester)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(English)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::testlib)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Path)
# Fuse - not packaged yet and it is recommended, not required
BuildRequires:  perl(Hash::Merge) >= 0.12
BuildRequires:  perl(IO::File)
BuildRequires:  perl(JSON)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Log4perl) >= 1.11
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Mouse::Role)
BuildRequires:  perl(Mouse::Util)
BuildRequires:  perl(Mouse::Util::TypeConstraints)
BuildRequires:  perl(MouseX::NativeTraits)
BuildRequires:  perl(MouseX::StrictConstructor)
BuildRequires:  perl(parent)
BuildRequires:  perl(Parse::RecDescent) >= v1.90.0
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Term::ReadLine)
BuildRequires:  perl(Term::ReadLine::Gnu)
BuildRequires:  perl(Term::ReadLine::Perl)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::File::Contents)
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(warnings::register)
BuildRequires:  perl(YAML::Any)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MouseX::NativeTraits)

# RPM 4.8 filters
# Fuse is recommanded, not required
%filter_from_requires /perl(Fuse)/d;
# Fedora is not a Debian system
%filter_from_requires /perl(AptPkg::Config)/d; /perl(AptPkg::System)/d; /perl(AptPkg::Version)/d
%{?perl_default_filter}
# RPM 4.9 filters
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Fuse\\)
%global __requires_exclude %__requires_exclude|perl\\(AptPkg::.*\\)
%global __requires_exclude %__requires_exclude|perl\\(Log::Log4perl\\)\s*$


%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :
1. The user interface
2. The validation engine which is in charge of validating all the 
configuration information provided by the user.
3. The storage facility that store the configuration information

%prep
%setup -q -n Config-Model-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes examples MODELS README.pod TODO
%{perl_vendorlib}/*
%{_bindir}/cme-old
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Wed Jun 24 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.071-2
- Added run-requires MouseX::NativeTraits

* Mon Jun 22 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.071-1
- 2.071 bump
- Updated the list of build-requires

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.235-14
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.235-13
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 1.235-11
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 1.235-7
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 1.235-5
- RPM 4.9 dependency filtering added

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.235-4
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.235-3
- Perl mass rebuild

* Thu Apr 07 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.235-2
- Remove BuildRoot and clean macro (no longer used)
- Add perl default filter
- Filter out uneeded requirements
- Update and apply patch for YAML::Any requirement

* Tue Mar 08 2011 David Hannequin <david.hannequin@gmail.com> 1.235-1
- Update from upstream.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.205-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.205-5
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Aug 17 2010 David Hannequin <david.hannequin@gmail.com> 1.205-4
- Add forgotten apply patch YAML::Any version (thank for patch).

* Tue Aug 10 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.205-3
- inside module is needed YAML::Any > 0.303. 0.70 < 0.303 for rpm

* Mon Jul 26 2010 David Hannequin david.hannequin@gmail.com 1.205-2
- Fix tag.

* Mon Jul 26 2010 David Hannequin david.hannequin@gmail.com 1.205-1
- Updated to a new upstream version.

* Mon Jun 28 2010 David Hannequin david.hannequin@gmail.com 1.001-1
- Updated to a new upstream version.

* Sun Jun 20 2010 David Hannequin david.hannequin@gmail.com 0.644-4
- Fix wrong syntax.

* Sun Jun 20 2010 David Hannequin david.hannequin@gmail.com 0.644-2
- Add build requires.

* Mon Jun 14 2010 David Hannequin david.hannequin@gmail.com 0.644-1
- Updated to a new upstream version.

* Sun Aug 09 2009 David Hannequin david.hannequin@gmail.com 0.638-4
- Modify license.

* Sat Aug 08 2009 David Hannequin david.hannequin@gmail.com 0.638-3
- Add missing build require.

* Sun Aug 02 2009 David Hannequin david.hannequin@gmail.com 0.638-2
- Fix wrong path.

* Fri Jul 31 2009 David Hannequin <david.hannequin@gmail.com> 0.638-1
- First release.

